FIX::FileStoreFactory Class Reference

Creates a file based implementation of MessageStore. More...

`#include <FileStore.h>`

Inheritance diagram for FIX::FileStoreFactory:
[legend]
Collaboration diagram for FIX::FileStoreFactory:
[legend]

## Public Member Functions

| FileStoreFactory (const SessionSettings &settings)
| FileStoreFactory (const std::string &path)
MessageStore * | create (const SessionID &)
void | destroy (MessageStore *)
Public Member Functions inherited from FIX::MessageStoreFactory
virtual | ~MessageStoreFactory ()

## Private Attributes

std::string | m_path
SessionSettings | m_settings

## Detailed Description

Creates a file based implementation of MessageStore.

Definition at line 39 of file FileStore.h.

## Constructor & Destructor Documentation

## FileStoreFactory() [1/2]

FIX::FileStoreFactory::FileStoreFactory | ( | const SessionSettings & | settings | ) |

inline

Definition at line 42 of file FileStore.h.

: m_settings( settings ) {};
FIX::FileStoreFactory::m_settings
SessionSettings m_settings
Definition FileStore.h:51

## FileStoreFactory() [2/2]

FIX::FileStoreFactory::FileStoreFactory | ( | const std::string & | path | ) |

inline

Definition at line 44 of file FileStore.h.

: m_path( path ) {};
FIX::FileStoreFactory::m_path
std::string m_path
Definition FileStore.h:50

## Member Function Documentation

## create()

MessageStore * FIX::FileStoreFactory::create | ( | const SessionID & | s | ) |

virtual

Implements FIX::MessageStoreFactory.

Definition at line 177 of file FileStore.cpp.

{
if ( m_path.size() ) return new FileStore( m_path, s );
std::string path;
Dictionary settings = m_settings.get( s );
path = settings.getString( FILE_STORE_PATH );
return new FileStore( path, s );
}
FIX::Dictionary::getString
std::string getString(const std::string &, bool capitalize=false) const
Get a value as a string.
Definition Dictionary.cpp:32
FIX::SessionSettings::get
const Dictionary & get(const SessionID &) const
Get a dictionary for a session.
Definition SessionSettings.cpp:127
FIX::FILE_STORE_PATH
const char FILE_STORE_PATH[]
Definition SessionSettings.h:80

References FIX::FILE_STORE_PATH, FIX::SessionSettings::get(), FIX::Dictionary::getString(), m_path, and m_settings.

## destroy()

void FIX::FileStoreFactory::destroy | ( | MessageStore * | pStore | ) |

virtual

Implements FIX::MessageStoreFactory.

Definition at line 187 of file FileStore.cpp.

{
delete pStore;
}

## Member Data Documentation

## m_path

std::string FIX::FileStoreFactory::m_path

private

Definition at line 50 of file FileStore.h.

Referenced by create().

## m_settings

SessionSettings FIX::FileStoreFactory::m_settings

private

Definition at line 51 of file FileStore.h.

Referenced by create().

The documentation for this class was generated from the following files:

- FileStore.h
- FileStore.cpp